Skip to main content
`Ctrl`+`K`

# pandas.core.window.expanding.Expanding.sem

Expanding.sem(ddof=1, numeric_only=False)

  Calculate the expanding standard error of mean.

  Parameters:
    ddof int, default 1

      Delta Degrees of Freedom. The divisor used in calculations is `N - ddof`, where `N` represents the number of elements.

    numeric_only bool, default False

      Include only float, int, boolean columns.

      Added in version 1.5.0.

  Returns:
    Series or DataFrame

      Return type is the same as the original object with `np.float64` dtype.

  See also

  `pandas.Series.expanding`

    Calling expanding with Series data.

  `pandas.DataFrame.expanding`

    Calling expanding with DataFrames.

  `pandas.Series.sem`

    Aggregating sem for Series.

  `pandas.DataFrame.sem`

    Aggregating sem for DataFrame.

  Notes

  A minimum of one period is required for the calculation.

  Examples

      >>> s = pd.Series([0, 1, 2, 3])

      >>> s.expanding().sem()
      0         NaN
      1    0.707107
      2    0.707107
      3    0.745356
      dtype: float64